/* Declarations of IRC message structures, variables, and functions.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean
 *     E-mail: inmean@pleaselook.com
 *
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * Originally based on EsperNet Services(c) by Andy Church.
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

//    ATTENTION   ATTENTION   ATTENTION  ATTENTION  ATTENTION
//
//    If you don't know what you're doing, DO NOT modify this file.
//    Modifications may cause unpredictable results, and I will not
//    take responsibility for it!. Do NOT send me bug reports of
//    errors if its related to this.
//
//
//       \2 - [^B]  Bold          \15 - [^O] Reset format
//       \22 -[^V]  Reverse       \37 - [^_] Underline
//
//           %s - string         %d - integer
//
//   For those of you that wish to use mIRC colour codes,
//   use the following syntax:     (Not Recommended)
//
//     \003# - Foreground    \003#,# - Foreground,Background
//
//     0  - White               8  - Yellow
//     1  - Black               9  - Light Green
//     2  - Blue                10 - Cyan
//     3  - Green               11 - Light Cyan
//     4  - Light Red           12 - Light Blue
//     5  - Brown               13 - Pink
//     6  - Purple              14 - Grey
//     7  - Orange              15 - Light Grey
//
//   NOTE: Numbers can NOT be followed after a colour code.

/*************************************************************************/

//    ** DON'T TOUCH THE NEXT 6 LINES **

typedef struct {
    const char *name;
    void (*func)(char *source, int ac, char **av);
} Message;

extern Message messages[];
extern Message *find_message(const char *name);



// General Strings
#define WELCOME_NOTICE    "Welcome to %s, %s! Your nick is unregistered. Here on %s, we provide our users with services that allow you to own your own nicks and channels. For more information, type: \2/msg %s help\2 or \2/msg %s help\2."
/*  WELCOME_NOTICE Found in users.c  */
#define CUSTOM_WELCOME  ""
#define D_CLONES        "\2WARNING\2 - possible clones detected from %s@%s [%d]"
#define D_CLONES2       "\2WARNING\2 - possible clones detected from %s [%d]"


// NickServ Strings
#define NS_REGISTER       "Nickname %s registered under your account: %s"
#define NS_REGMAIL	  "Your nickname e-mail set to: \2%s\2"
#define NS_REGISTER2      "Your password is \2%s\2 - remember this for later use."
#define NS_IDENTIFY       "Password accepted for \2%s\2 - you are now recognized %s"
#define NS_BADPASS        "Password incorrect."
#define NS_DROP           "Your nickname has been dropped."
#define NS_DELETE         "Nick %s has been deleted."

// ChanServ Strings
#define CS_REGISTER      "Channel %s registered under your nickname: %s"
#define CS_REGISTER2     "Your channel password is \2%s\2 - remember it for later use."
#define CS_REGISTER3     "By Default, %s is now set to \2%s\2"
#define CS_IDENTIFY      "Password accepted - you now have founder-level access to %s."
#define CS_BADPASS       "Password incorrect."
#define CS_DROP          "Channel %s has been dropped."
#define CS_DELETE        "Channel %s has been deleted."

// MemoServ Strings

#define MS_MEMOSENT      "Memo sent to %s."
#define MS_CHANSENT      "Channel memo sent to %s."
#define MS_SOPSENT       "Channel memo sent to %s SOPs."
#define MS_NOMEMO        "You have no memos."
#define MS_NONEWMEMO     "You have no new memos."
#define MS_FORWARD       "Memo forwarded to %s from %s."
#define MS_NOFORWARD     "Your memos will no longer be forwarded."
#define MS_NEWMEMO       "You have a new memo from %s."
#define MS_NEWMEMOSYS    "You have a new memo from \2%s\2."
// #define MS_NREG		 "Nickname %s registered under your account: %s, Your password is \2%s\2 - remember this for later use. Your nickname e-mail set to: \2%s\2, If you wish to keep your E-Mail secret Type \2/MSG %s SET HideMail ON\2, For more infomation join channel \2%s\2."
#define MS_NREG		 "Welcome to "

// OperServ Strings

#define OS_AKILL         "You have been banned from this network"
#define OS_RAKILL        "Removing AKILL for %s [Time Expired]"
#define OS_UPDATE        "Updating databases."
#define OS_SET_SNOOP     "Snoop Enabled."
#define OS_SET_SNOOP2    "Snoop Disabled."
#define OS_SET_IGNORE    "Ignore code \2will\2 be used."
#define OS_SET_IGNORE2   "Ignore code \2will not\2 be used."
#define OS_SET_SENDLOG   "Services will now send services logs."
#define OS_SET_SENDLOG2  "Services will no longer send services logs."
#define OS_SET_CLONE     "Services is now clone detecting."
#define OS_SET_CLONE2    "Services will NOT clone detect."
#define OS_SET_FLOOD     "Services is now monitoring flood levels."
#define OS_SET_FLOOD2    "Services will no longer monitor flood levels."
#define OS_SET_RNC       "Services is now Real Name Catching."
#define OS_SET_RNC2      "Real Name Catching disabled."

/*************************************************************************/
#define MISC_OFHELP	  "For more infomation join channel \2%s\2."

